Bug 1184841 - [abrt] gnome-software: gs_plugin_refine_item_pixbuf(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: gs_plugin_refine_item_pixbuf(): gnome-software killed ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:785ced2f8c400848cc296d53362...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-22 10:48 UTC by brhahlen
Modified: 2015-06-21 00:07 UTC (History)
2 users (show)

Fixed In Version: gnome-software-3.14.5-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-21 00:07:02 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (74.00 KB, text/plain)
2015-01-22 10:48 UTC, brhahlen
no flags Details
File: cgroup (180 bytes, text/plain)
2015-01-22 10:48 UTC, brhahlen
no flags Details
File: core_backtrace (4.71 KB, text/plain)
2015-01-22 10:48 UTC, brhahlen
no flags Details
File: dso_list (11.85 KB, text/plain)
2015-01-22 10:48 UTC, brhahlen
no flags Details
File: environ (1.38 KB, text/plain)
2015-01-22 10:48 UTC, brhahlen
no flags Details
File: exploitable (82 bytes, text/plain)
2015-01-22 10:48 UTC, brhahlen
no flags Details
File: limits (1.29 KB, text/plain)
2015-01-22 10:48 UTC, brhahlen
no flags Details
File: maps (58.72 KB, text/plain)
2015-01-22 10:48 UTC, brhahlen
no flags Details
File: open_fds (1.20 KB, text/plain)
2015-01-22 10:48 UTC, brhahlen
no flags Details
File: proc_pid_status (960 bytes, text/plain)
2015-01-22 10:48 UTC, brhahlen
no flags Details
File: var_log_messages (29 bytes, text/plain)
2015-01-22 10:48 UTC, brhahlen
no flags Details

Description brhahlen 2015-01-22 10:48:34 UTC
Version-Release number of selected component:
gnome-software-3.14.2-2.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gs_plugin_refine_item_pixbuf
executable:     /usr/bin/gnome-software
kernel:         3.17.7-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gs_plugin_refine_item_pixbuf at gs-plugin-appstream.c:396
 #1 gs_plugin_refine_item at gs-plugin-appstream.c:740
 #2 gs_plugin_refine_from_id at gs-plugin-appstream.c:857
 #3 gs_plugin_refine at gs-plugin-appstream.c:927
 #4 gs_plugin_loader_run_refine_plugin at gs-plugin-loader.c:185
 #5 gs_plugin_loader_run_refine at gs-plugin-loader.c:248
 #6 gs_plugin_loader_run_results at gs-plugin-loader.c:414
 #7 gs_plugin_loader_get_installed_thread_cb at gs-plugin-loader.c:1197
 #8 g_task_thread_pool_thread at gtask.c:1215
 #10 g_thread_proxy at gthread.c:764

Comment 1 brhahlen 2015-01-22 10:48:37 UTC
Created attachment 982688 [details]
File: backtrace

Comment 2 brhahlen 2015-01-22 10:48:38 UTC
Created attachment 982689 [details]
File: cgroup

Comment 3 brhahlen 2015-01-22 10:48:39 UTC
Created attachment 982690 [details]
File: core_backtrace

Comment 4 brhahlen 2015-01-22 10:48:41 UTC
Created attachment 982691 [details]
File: dso_list

Comment 5 brhahlen 2015-01-22 10:48:42 UTC
Created attachment 982692 [details]
File: environ

Comment 6 brhahlen 2015-01-22 10:48:43 UTC
Created attachment 982693 [details]
File: exploitable

Comment 7 brhahlen 2015-01-22 10:48:44 UTC
Created attachment 982694 [details]
File: limits

Comment 8 brhahlen 2015-01-22 10:48:45 UTC
Created attachment 982695 [details]
File: maps

Comment 9 brhahlen 2015-01-22 10:48:47 UTC
Created attachment 982696 [details]
File: open_fds

Comment 10 brhahlen 2015-01-22 10:48:48 UTC
Created attachment 982697 [details]
File: proc_pid_status

Comment 11 brhahlen 2015-01-22 10:48:50 UTC
Created attachment 982698 [details]
File: var_log_messages

Comment 12 Kalev Lember 2015-06-06 22:06:58 UTC
The crash is in code that is only used with libappstream-glib 0.2.x. If / when libappstream-glib gets rebased to 0.3.x, the crash should go away.

Comment 13 Fedora Update System 2015-06-08 22:29:29 UTC
gnome-software-3.14.5-2.fc21, PackageKit-1.0.6-1.fc21, libhif-0.2.0-3.fc21, libappstream-glib-0.4.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/FEDORA-2015-9570/gnome-software-3.14.5-2.fc21,PackageKit-1.0.6-1.fc21,libhif-0.2.0-3.fc21,libappstream-glib-0.4.0-1.fc21

Comment 14 Fedora Update System 2015-06-10 19:18:57 UTC
Package gnome-software-3.14.5-2.fc21, PackageKit-1.0.6-1.fc21, libhif-0.2.0-3.fc21, libappstream-glib-0.4.0-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-software-3.14.5-2.fc21 PackageKit-1.0.6-1.fc21 libhif-0.2.0-3.fc21 libappstream-glib-0.4.0-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9570/gnome-software-3.14.5-2.fc21,PackageKit-1.0.6-1.fc21,libhif-0.2.0-3.fc21,libappstream-glib-0.4.0-1.fc21
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2015-06-21 00:07:02 UTC
gnome-software-3.14.5-2.fc21, PackageKit-1.0.6-1.fc21, libhif-0.2.0-3.fc21, libappstream-glib-0.4.0-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.